]> git.sev.monster Git - dotfiles.git/blobdiff - base/.xinitrc
zshenv: ignore gpg on systems that don't have it
[dotfiles.git] / base / .xinitrc
old mode 100755 (executable)
new mode 100644 (file)
index 5bda964..8862d13
@@ -1,9 +1,10 @@
-#!/bin/sh
+#!/bin/zsh
+# using zsh to load .zshenv (eg. for PATH) but file is sh-compatible
 
 sysmodmap=/usr/local/etc/X11/xinit/.Xmodmap
 sysresources=/usr/local/etc/X11/xinit/.Xresources
-usermodmap="$HOME/.Xmodmap"
-userresources="$HOME/.Xresources"
+usermodmap=~/.Xmodmap
+userresources=~/.Xresources
 
 if [ -f $sysresources ]; then
        xrdb -merge $sysresources
@@ -20,7 +21,7 @@ fi
 
 # redshift, root image
 redon &
-"$HOME/.fehbg"
+wall &
 
 # Xorg settings
 xset r rate 290 26 &
@@ -28,10 +29,15 @@ xset m 1/1 0 &
 xset s off
 xset dpms 0 0 600
 
+find -L "${XDG_DATA_HOME:-~/share}/fonts" -type d -mindepth 1 -maxdepth 2 | while read -r x; do
+       [ -f "$x/fonts.dir" ] && xset +fp $x
+done
+xset fp rehash
+
 # root terminal
-urxvt -name URxvtBG -override-redirect -geometry x5+0-0 \
-      -e tail -f /var/log/messages &
-xdotool search --limit 1 --sync --classname URxvtBG windowsize -usehints 100% 6
+urxvt -name TermBg1 -override-redirect -geometry x5+0--1 \
+      -e tail -F /var/log/messages &
+xdotool search --limit 1 --sync --classname TermBg1 windowsize --usehints 100% 6
 
 # tray icons
 #"$HOME/src/phwmon/phwmon.py" --mem --mem_percent --net --io --bg \#0000 &
@@ -39,22 +45,26 @@ volumeicon &
 
 # daemons
 dunst &
-xautolock -time 10 -locker "$HOME/bin/l" &
+mpc-notify -d &
+xautolock -time 10 -locker "$HOME/bin/lck" &
 xbanish &
 eval `ssh-agent`
 
-if [ -x /usr/local/bin/urxvtd ]; then
+if [ -z "$TERMINAL" -a \( -x $(which -a urxvtd | head -1) \) ]; then
        for i in 1 2; do
                # try to start client twice, once before checking for daemon
                # and another after trying to start it
-               urxvtc -e exit
+               urxvtc -e exit 2>/dev/null
                if [ $? -eq 2 ]; then
                        # daemon not started, attempt to start once
                        if [ $i -eq 1 ]; then
                                urxvtd -q -o -f
+                       else
+                               TERMINAL=urxvt
+                               export TERMINAL
                        fi
                else
-                       TERMINAL=/usr/local/bin/urxvtc
+                       TERMINAL=urxvtc
                        export TERMINAL
                        break
                fi
@@ -64,9 +74,10 @@ fi
 
 # try to wait for session to start
 (sleep 0.1 && tint2) &
-(sleep 0.1 && [ -x "$HOME/bin/acpi_ac" ] && \
-       "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
-(sleep 1.5 && [ -x /usr/local/bin/conky ] && conky -c "$HOME/.conkyrc.d/dock") &
+# x220t
+# TODO: check hostname to load auxillary things
+# TODO: reformat for linux
+#(sleep 0.1 "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
 
 # load any global scripts
 if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
@@ -77,7 +88,7 @@ if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
 fi
 
 # start session
-if [ ! -n "$1" ]; then
+if [ -z "$1" ]; then
        session=i3
 else
        session=$1
This page took 0.03147 seconds and 4 git commands to generate.